=== debian/changelog ===
neovim-treesitter (0~git20260214.4d94666+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1116647)

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 14 Feb 2026 19:28:45 +0100
