=== debian/control ===
Source: neovim-treesitter
Section: editors
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.3
Homepage: https://github.com/nvim-treesitter/nvim-treesitter
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-treesitter
Vcs-Git: https://salsa.debian.org/vim-team/neovim-treesitter.git

Package: neovim-treesitter
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Recommends:
 tree-sitter-cli (>= 0.25.0),
Suggests:
 node (>= 23.0.0),
Description: Treesitter integration for Neovim
 Integrates tree-sitter into Neovim for parser management, queries and features
 like highlighting, folds and indentation.
 .
 This is a neovim-only plugin.
