=== debian/tests/control ===
# Run upstream tests as soon as plenary is in the archive
# Tests: upstream-tests
# Depends: @, neovim-plenary,

Tests: run-tests
Depends: @
