=== debian/watch ===
Version: 5

Source: https://github.com/nvim-treesitter/nvim-treesitter.git
Mode: git
Matching-Pattern: heads/main
Git-Pretty: 0~git%cd.%h
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
